Simply brings the standard dynamoDB operations into the rx world by wrapping the node callbacks into observables

### Hierarchy

- DynamoRx

## Index

### Constructors

- constructor

### Properties

- dynamoDB

### Methods

- batchGetItems
- batchWriteItem
- deleteItem
- getItem
- makeRequest
- putItem
- query
- scan
- transactGetItems
- transactWriteItems
- updateAwsConfigCredentials
- updateItem

## Constructors

### constructor

- new DynamoRx(): DynamoRx

- - Defined in dynamo/dynamo-rx.ts:11

  #### Returns DynamoRx

## Properties

### dynamoDB

dynamoDB: DynamoDB

- Defined in dynamo/dynamo-rx.ts:11

## Methods

### batchGetItems

- batchGetItems(params: BatchGetItemInput): Observable<BatchGetItemOutput>

- - Defined in dynamo/dynamo-rx.ts:55

  #### Parameters

  - ##### params: BatchGetItemInput

  #### Returns Observable<BatchGetItemOutput>

### batchWriteItem

- batchWriteItem(params: BatchWriteItemInput): Observable<BatchWriteItemOutput>

- - Defined in dynamo/dynamo-rx.ts:49

  #### Parameters

  - ##### params: BatchWriteItemInput

  #### Returns Observable<BatchWriteItemOutput>

### deleteItem

- deleteItem(params: DeleteItemInput): Observable<DeleteItemOutput>

- - Defined in dynamo/dynamo-rx.ts:43

  #### Parameters

  - ##### params: DeleteItemInput

  #### Returns Observable<DeleteItemOutput>

### getItem

- getItem(params: GetItemInput): Observable<GetItemOutput>

- - Defined in dynamo/dynamo-rx.ts:31

  #### Parameters

  - ##### params: GetItemInput

  #### Returns Observable<GetItemOutput>

### makeRequest

- makeRequest(operation: string, params?: Record<string, any>): Observable<any>

- - Defined in dynamo/dynamo-rx.ts:85

  #### Parameters

  - ##### operation: string

  - ##### Optional params: Record<string, any>

  #### Returns Observable<any>

### putItem

- putItem(params: PutItemInput): Observable<PutItemOutput>

- - Defined in dynamo/dynamo-rx.ts:25

  #### Parameters

  - ##### params: PutItemInput

  #### Returns Observable<PutItemOutput>

### query

- query(params: QueryInput): Observable<QueryOutput>

- - Defined in dynamo/dynamo-rx.ts:77

  #### Parameters

  - ##### params: QueryInput

  #### Returns Observable<QueryOutput>

### scan

- scan(params: ScanInput): Observable<ScanOutput>

- - Defined in dynamo/dynamo-rx.ts:73

  #### Parameters

  - ##### params: ScanInput

  #### Returns Observable<ScanOutput>

### transactGetItems

- transactGetItems(params: TransactGetItemsInput): Observable<TransactGetItemsOutput>

- - Defined in dynamo/dynamo-rx.ts:67

  #### Parameters

  - ##### params: TransactGetItemsInput

  #### Returns Observable<TransactGetItemsOutput>

### transactWriteItems

- transactWriteItems(params: TransactWriteItemsInput): Observable<TransactWriteItemsOutput>

- - Defined in dynamo/dynamo-rx.ts:61

  #### Parameters

  - ##### params: TransactWriteItemsInput

  #### Returns Observable<TransactWriteItemsOutput>

### updateAwsConfigCredentials

- updateAwsConfigCredentials(newConfig: Config): void

- - Defined in dynamo/dynamo-rx.ts:18

  #### Parameters

  - ##### newConfig: Config

  #### Returns void

### updateItem

- updateItem(params: UpdateItemInput): Observable<UpdateItemOutput>

- - Defined in dynamo/dynamo-rx.ts:37

  #### Parameters

  - ##### params: UpdateItemInput

  #### Returns Observable<UpdateItemOutput>

Generated using TypeDoc